/*----------------------------------
 nav fix
----------------------------------*/
nav.fix {
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    right: 0;
    padding-top: 5px;
    background: var(--C);
    border-bottom: 4px solid #f3e2c7;
    height: 110px;
}

nav.fix ul {
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

nav.fix ul li {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

nav.fix ul li a {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

nav.fix ul li a img {
    width: 75px;
}

nav.fix ul li a span {
    font-size: 12px;
    font-weight: 600;
    text-align: center;
    color: var(--F);
}

nav.fix ul li a:hover span {
  color: var(--H);
}


/*----------------------------------
 nav fix منو کشوی سبک
----------------------------------*/
html {
    scrollbar-gutter: stable;
}

body.no-scroll {
    overflow: hidden;
}

/* تنظیم سرعت باز و بسته شدن */
nav.fix {
    height: 110px;
    overflow: hidden;
    transition: height 0.2s cubic-bezier(0.01, 1, 0.9, 1); /* سرعت بالا */
}

nav.fix.expanded {
    height: 100vh;
    transition: height 0.6s cubic-bezier(0.01, 1, 0.9, 1);
}

/* فاصله از بالای صفحه */
#sub-menu-area {
    display: none;
    flex-direction: column;
    align-items: center;
    padding-top: 30px;   
}

/* دکمه بازگشت در بالا */
.close-menu-btn {
    cursor: pointer;
    background: white;
    color: var(--A);
    padding: 10px 25px;
    border-radius: 10px;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.close-menu-btn:hover {
    color: var(--H);
    font-weight: 600;
}

/******* sub-menu-area-category-select *******/
.sub-menu-area-category-select {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.sub-menu-area-category-select p {
    font-size: 17px;
}

.sub-menu-area-category-select p span {
    font-family: javan;
    font-size: 20px;
    font-weight: 100;
    color: white !important;
}

.sub-menu-area-category-select p span:nth-child(1) {
    color: var(--A);
}

.sub-menu-area-category-select i {
    font-size: 30px;
    color: var(--A);
    margin-bottom: 10px;
}

/******* دکمه زیر منو *******/
#sub-menu-links {
    display: flex;
    flex-direction: column;
    gap: 12px;
    width: 200px;
}

#sub-menu-links a {
    background: var(--A);
    color: var(--C);
    padding: 5px 0 10px 0;
    border-radius: 5px;
    text-align: center;
    width: 100%;
}

#sub-menu-links a:hover {
    background-color: white;
    color: var(--H);
    font-weight: 600;
}

#sub-menu-area {
    overflow-y: auto; /* اگر دکمه‌ها زیاد شد، اجازه بده اسکرول بخوره */
    max-height: 100vh; /* قدش از صفحه بیشتر نشه */
    padding-bottom: 50px; /* یکم فاصله از پایین که دکمه آخر نچسبه */
}

/******* خط زیر منو *******/
hr.menu-sep {
    border: none;
    border-top: 1px var(--A) dashed;
    width: 100%;
    margin-top: 5px; 
}

/******* متن زیر منو *******/
p.menu-info {
    font-family: 'Plasma';
    font-size: 35px;
    color: var(--A); 
    text-align: center;
    width: 100%;
    margin-bottom: -20px;
}